CMSIS-Core (Cortex-A): CPSR_Type Struct Reference

| CMSIS-Core (Cortex-A) Version 1.2.0 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
CPSR_Type Struct Reference
Current Program Status Register (CPSR)

Bit field declaration for CPSR layout.

## Data Fields
struct {
uint32_t M:5
| bit: 0.. 4 Mode field More...
uint32_t T:1
| bit: 5 Thumb execution state bit More...
uint32_t F:1
| bit: 6 FIQ mask bit More...
uint32_t I:1
| bit: 7 IRQ mask bit More...
uint32_t A:1
| bit: 8 Asynchronous abort mask bit More...
uint32_t E:1
| bit: 9 Endianness execution state bit More...
uint32_t IT1:6
| bit: 10..15 If-Then execution state bits 2-7 More...
uint32_t GE:4
| bit: 16..19 Greater than or Equal flags More...
uint32_t J:1
| bit: 24 Jazelle bit More...
uint32_t IT0:2
| bit: 25..26 If-Then execution state bits 0-1 More...
uint32_t Q:1
| bit: 27 Saturation condition flag More...
uint32_t V:1
| bit: 28 Overflow condition code flag More...
uint32_t C:1
| bit: 29 Carry condition code flag More...
uint32_t Z:1
| bit: 30 Zero condition code flag More...
uint32_t N:1
| bit: 31 Negative condition code flag More...
} | b
| Structure used for bit access. More...
uint32_t | w
| Type used for word access. More...

## Field Documentation

uint32_t CPSR_Type::A

struct { ... } CPSR_Type::b

uint32_t CPSR_Type::C

uint32_t CPSR_Type::E

uint32_t CPSR_Type::F

uint32_t CPSR_Type::GE

uint32_t CPSR_Type::I

uint32_t CPSR_Type::IT0

uint32_t CPSR_Type::IT1

uint32_t CPSR_Type::J

uint32_t CPSR_Type::M

uint32_t CPSR_Type::N

uint32_t CPSR_Type::Q

uint32_t CPSR_Type::T

uint32_t CPSR_Type::V

uint32_t CPSR_Type::w

uint32_t CPSR_Type::Z